import config from '../../config/config';
import fieldsConfig from '../../config/fieldsConfig';
import UniUtils from './UniUtils.class';
import iApp from '../lib/iApp';
export default class ProUtilsClass extends UniUtils {
    /*获取配置文件信息*/
    static getConfig(key) {
       return this.getObjKey(config,key);
    }
    /*获取字段配置信息*/
    static getFieldConfig(key) {
        return this.getObjKey(fieldsConfig,key);
    }
    /*获取全局对象值*/
    static iAppGet(key){
        if(key){
            return this.getObjKey(iApp,key);
        }else {
            return iApp
        }

    }
    static iAppSet(key,value){
        return this.setObjKey(iApp,key,value);
    }
}